<?php
    return [
        'language'   => 'ru',
        'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
        'components' => [
            'cache'       => [
                'class' => 'yii\caching\FileCache',
            ],
            'i18n'        => [
                'translations' => [
                    '*'              => [
                        'class'    => 'yii\i18n\PhpMessageSource',
                        'basePath' => '@common/translation',
                        'fileMap'  => [
                            'app'       => 'app.php',
                            'app/error' => 'error.php',
                        ],
                    ],
                    'app'            => [
                        'class'    => 'yii\i18n\PhpMessageSource',
                        'basePath' => '@common/translation',
                        'fileMap'  => [
                            'app'       => 'app.php',
                            'app/error' => 'error.php',
                        ],
                    ],
                    'artbox-comment' => [
                        'class'    => 'yii\i18n\PhpMessageSource',
                        'basePath' => '@common/modules/comment/messages',
                    ],
                ],
            ],
            'artboximage' => [
                'class'    => 'common\components\artboximage\ArtboxImage',
                'driver'   => 'GD',
                'rootPath' => Yii::getAlias('@storage'),
                'rootUrl'  => Yii::getAlias('/storage'),
                'presets'  => [
                    'product' => [
                        'resize' => [
                            'width'  => 360,
                            'height' => 360,
                            'master' => NULL,
                        ],
                    ],
                    'list'    => [
                        'resize' => [
                            'width'  => 360,
                            'height' => 360,
                        ],
                    ],
                ],
            ],
            'basket'      => [
                'class' => 'common\models\Basket',
            ],
        ],
        'modules'    => [
            'artbox-comment' => [
                'class' => 'common\modules\comment\Module',
            ],
            'blog'           => [
                'class' => 'common\modules\blog\Module',
            ],
        ],
    ];
