<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation for table `article_lang`.
     */
    class m160926_122456_create_article_lang_table extends Migration
    {
        
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable('article_lang', [
                'article_id'      => $this->integer()
                                           ->notNull(),
                'language_id'      => $this->integer()
                                           ->notNull(),
                'title'            => $this->string()
                                           ->notNull(),
                'body'             => $this->text()
                                           ->notNull(),
                'meta_title'       => $this->string(),
                'meta_keywords'    => $this->string(),
                'meta_description' => $this->string(),
                'seo_text'         => $this->text(),
                'h1'               => $this->string(),
                'body_preview'     => $this->text(),
            ]);
            
            $this->createIndex('article_lang_article_language_key', 'article_lang', [
                'article_id',
                'language_id',
            ], true);
    
            $this->addForeignKey('article_fk', 'article_lang', 'article_id', 'article', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('language_fk', 'articles_lang', 'language_id', 'language', 'id', 'RESTRICT', 'CASCADE');
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('article_lang');
        }
    }
