<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation for table `order_delivery_lang`.
     */
    class m160929_135920_create_order_delivery_lang_table extends Migration
    {
        
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable(
                'order_delivery_lang',
                [
                    'order_delivery_id' => $this->integer()
                                                ->notNull(),
                    'language_id'       => $this->integer()
                                                ->notNull(),
                    'title'             => $this->string()
                                                ->notNull(),
                    'text'              => $this->text()
                                                ->notNull(),
                ]
            );
            $this->createIndex(
                'order_delivery_lang_order_delivery_language_key',
                'order_delivery_lang',
                [
                    'order_delivery_id',
                    'language_id',
                ],
                true
            );
            
            $this->addForeignKey(
                'order_delivery_fk',
                'order_delivery_lang',
                'order_delivery_id',
                'order_delivery',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'language_fk',
                'order_delivery_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('order_delivery');
        }
    }
