<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation for table `order_label_lang`.
     */
    class m160929_142458_create_order_label_lang_table extends Migration
    {
        
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable(
                'order_label_lang',
                [
                    'order_label_id' => $this->integer()
                                             ->notNull(),
                    'language_id'    => $this->integer()
                                             ->notNull(),
                    'title'          => $this->string()
                                             ->notNull(),
                ]
            );
            $this->createIndex(
                'order_label_lang_order_label_language_key',
                'order_label_lang',
                [
                    'order_label_id',
                    'language_id',
                ],
                true
            );
            
            $this->addForeignKey(
                'order_label_fk',
                'order_label_lang',
                'order_label_id',
                'order_label',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'language_fk',
                'order_label_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('order_label_lang');
        }
    }
