<?php
    /**
     * @var \yii\web\View $this
     * @var string        $content
     */
    use yii\helpers\Html;
    use frontend\assets\AppAsset;
    use yii\widgets\Breadcrumbs;
    
    $this->registerMetaTag([
        'name'    => 'robots',
        'content' => 'noindex, nofollow',
    ]);
    AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>
<?php
    echo Breadcrumbs::widget([
        'links' => isset( $this->params[ 'breadcrumbs' ] ) ? $this->params[ 'breadcrumbs' ] : [],
    ]);
?>
<?php
    echo $content;
?>
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
